#!/bin/sh
#
## Photo Image Print System Lite
## Copyright (C) 2000-2008 AVASYS CORPORATION.
## Copyright (C) Seiko Epson Corporation 2000-2008.
##  This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

sbindir=/usr/sbin
pkgrcddir=/usr/lib/pipslite/rc.d

PATH=$PATH:/usr/local/sbin:/usr/sbin:/sbin:$sbindir

SYSCONFDIR=/etc
SCRIPTDIR=$pkgrcddir
INSTALL="install -m 755"
LN="ln -fs"
RM="rm -f"
SNO=11
KNO=89


#
# Check init scripts directory
#

if [ -d $SYSCONFDIR/init.d ]; then
    funcdir=$SYSCONFDIR/init.d
    if [ -d $funcdir/rc1.d ]; then
	# for suse
	rcdir=$funcdir
    else
	rcdir=$SYSCONFDIR
    fi
elif [ -d $SYSCONFDIR/rc.d ]; then
    rcdir=$SYSCONFDIR/rc.d
    if [ -d $rcdir/init.d ]; then
	funcdir=$rcdir/init.d
    else
	funcdir=$rcdir
    fi
else
    echo Error : Unknow linux distribution
    exit 1
fi


case "$1" in
    #
    # Install script
    #
    install)
	$INSTALL $SCRIPTDIR/pipslited $funcdir/pipslited
	if [ -x /usr/lib/lsb/install_initd ] ; then
            # LSB standard
	    /usr/lib/lsb/install_initd $funcdir/pipslited > /dev/null 2>&1
	elif type update-rc.d > /dev/null 2>&1 ; then
	    # Debian compatible
	    update-rc.d pipslited defaults $SNO $KNO > /dev/null 2>&1
	elif type chkconfig > /dev/null 2>&1 ; then
            # RedHat compatible
	    chkconfig --add pipslited > /dev/null 2>&1
	else
	    # legacy system
	    for loop in 2 3 4 5 S M ; do
		if [ -d $rcdir/rc$loop.d ]; then
		    $LN $funcdir/pipslited $rcdir/rc$loop.d/S${SNO}pipslited

		elif [ -d $rcdir/rc.$loop ]; then
		    $LN $funcdir/pipslited $rcdir/rc.$loop/S${SNO}pipslited

		fi
	    done
	    for loop in 0 1 6 K ; do
		if [ -d $rcdir/rc$loop.d ]; then
		    $LN $funcdir/pipslited $rcdir/rc$loop.d/K${KNO}pipslited

		elif [ -d $rcdir/rc.$loop ]; then
		    $LN $funcdir/pipslited $rcdir/rc.$loop/K${KNO}pipslited

		fi
	    done
	fi
	;;

    deinstall)
	if [ -x /usr/lib/lsb/remove_initd ] ; then
            # LSB standard
	    /usr/lib/lsb/remove_initd $funcdir/pipslited > /dev/null 2>&1
	elif type update-rc.d > /dev/null 2>&1 ; then
	    # Debian compatible
	    update-rc.d -f pipslited remove > /dev/null 2>&1
	elif type chkconfig > /dev/null 2>&1 ; then
            # RedHat compatible
	    chkconfig --del pipslited > /dev/null 2>&1
	else
	    # legacy system
	    for loop in 2 3 4 5 S M ; do
		if [ -s $rcdir/rc$loop.d/S${SNO}pipslited ]; then
		    $RM $rcdir/rc$loop.d/S${SNO}pipslited

		elif [ -s $rcdir/rc.$loop/S${SNO}pipslited ]; then
		    $RM $rcdir/rc.$loop/S${SNO}pipslited

		fi
	    done
	    for loop in 0 1 6 K ; do
		if [ -s $rcdir/rc$loop.d/K${KNO}pipslited ]; then
		    $RM $rcdir/rc$loop.d/K${KNO}pipslited

		elif [ -s $rcdir/rc.$loop/K${KNO}pipslited ]; then
		    $RM $rcdir/rc.$loop/K${KNO}pipslited

		fi
	    done
	fi

	if [ -s $funcdir/pipslited ]; then
	    $RM $funcdir/pipslited
	fi

	;;

    *)
	echo "Usage: install-rc_d.sh { install | deinstall }" >&2
	exit 1
	;;
esac

exit 0;
