#!/bin/sh
# 
# Photo Image Print System Lite
# Copyright (C) 2001-2007 AVASYS CORPORATION.
# Copyright (C) Seiko Epson Corporation 2000-2007.
# 
#  This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 

pkglibdir=/usr/lib/pipslite
pkgconfdir=/etc/pipslite
pkg_tarname=pipslite
pipsscriptdir=/usr/lib/pipslite/scripts

PRT_MODEL=LITE
PRT_MODEL_LOW=`echo $PRT_MODEL | tr '[A-Z]' '[a-z]'`

if [ -s $pkgconfdir/pipslitedrc ]; then
    DEF_PRT_NAME=`grep PrinterName $pkgconfdir/pipslitedrc | sed -e 's/ //g' -e 's/^.*=//' -e 's/#.*$//'`
    if [ -z $DEF_PRT_NAME ]; then
	DEF_PRT_NAME=$PRT_MODEL_LOW
    fi

    DEF_PRT_PATH=`grep PrinterDevicePath $pkgconfdir/pipslitedrc | sed -e 's/ //g' -e 's/^.*=//' -e 's/#.*$//'`
    if [ -z $DEF_PRT_PATH ]; then
	DEF_PRT_PATH=/dev/lp0
    fi
fi

. $pipsscriptdir/en.lc

trap 'echo; printf "$F_TXT"
    exit 1' 0

ID=`id | sed -e 's/uid=//' -e 's/(.*//'`

if [ $ID -ne 0 ]; then
    echo must run as root.
    exit 0;
fi

echo "-----------------------------------------------"
echo ""
echo "          Photo Image Print System Lite"
echo ""
echo "                 Setup script"
echo ""
echo "-----------------------------------------------"

echo Please select locale to use.
echo Select : en ja #de es fr it ko nl pt zh zh_TW
echo -n '(english) > '

read SET_LANG
case $SET_LANG in
#    [Dd][Ee] ) . $pipsscriptdir/de.lc ;;
#    [Ee][Ss] ) . $pipsscriptdir/es.lc ;;
#    [Ff][Rr] ) . $pipsscriptdir/fr.lc ;;
#    [Ii][Tt] ) . $pipsscriptdir/it.lc ;;
     [Jj][Aa] ) . $pipsscriptdir/ja.lc ;;
#    [Kk][Oo] ) . $pipsscriptdir/ko.lc ;;
#    [Nn][Ll] ) . $pipsscriptdir/nl.lc ;;
#    [Pp][Tt] ) . $pipsscriptdir/pt.lc ;;
#    [Zz][Hh] ) . $pipsscriptdir/zh.lc ;;
#    [Zz][Hh]_[Tt][Ww] ) . $pipsscriptdir/zh_TW.lc ;;
    *);;
esac

printf "$A_TXT"
echo

while :
do
    printf "$B_TXT"
    echo -n "($DEF_PRT_PATH) > "
    
    read PRT_PATH

    if [ -z $PRT_PATH ]; then
	PRT_PATH=$DEF_PRT_PATH
    fi

    if [ -n $PRT_PATH  ]; then
	break;
    fi
    echo "$PRT_PATH : No such file or directory."
done

while :
do
    printf "$C_TXT"
    echo -n "($DEF_PRT_NAME) > "
    
    read PRT_NAME

    if [ -x $PRT_NAME ]; then
	PRT_NAME=$DEF_PRT_NAME
    fi

    if [ -n $PRT_NAME ]; then
	break;
    fi
done

while :
do
    printf "$D_TXT"
    echo -n '(Yes/no) > '

    read ANSWER
    case $ANSWER in
	[Yy] | [Yy]es | YES ) break ;;
	[Nn] | [Nn]o | NO ) exit 0 ;;
	* ) echo ? ;;
    esac
done

trap 0
printf "$E1_TXT"
echo $PRT_NAME
printf "$E2_TXT"

if [ -s $pkgconfdir/pipslitedrc ]; then
    cp $pkgconfdir/pipslitedrc $pkgconfdir/pipslitedrc.bak
fi

cat <<EOF >$pkgconfdir/pipslitedrc
PrinterName = $PRT_NAME
PrinterDevicePath = $PRT_PATH
DummyDevicePath = /var/run/pipslitelp0
CommandServerPort = 35587
ConnectAuto = 1
EOF


# printer reset
$pkglibdir/rc.d/pipslited restart 2>&1 1>/dev/null

exit 0
